Start OAuth Connection
curl --request GET \
--url https://api.veryfront.com/oauth/connect/{integration} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/oauth/connect/{integration}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/oauth/connect/{integration}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>"
}Starts an OAuth connection for an integration.
GET
/
oauth
/
connect
/
{integration}
Start OAuth Connection
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Integration identifier, for example github or gmail.
Query Parameters
Project UUID or slug that owns the connection.
Deprecated project ID or slug alias. Use project_reference.
Deprecated project ID or slug alias. Use project_reference.
Connection ownership within the project.
Available options:
user, project Dashboard-relative path to redirect to after OAuth completes.
Absolute redirect URI for native or custom app OAuth flows.
One-time native OAuth connect session token.
Response
Redirect to provider consent screen